For the complete documentation index, see llms.txt. This page is also available as Markdown.

Inventory

List all inventory

get
Authorizations
AuthorizationstringRequired

Prefix the value with "ApiKey" to indicate the custom authorization type

Query parameters
pageinteger · int32Optional

The page number to request (1 based)

Default: 1Example: 1
sizeinteger · int32Optional

The number of results to return in a page

Default: 100Example: 10
personIdstringOptional

Id of a person to which inventory is assigned

Example: 00000000-0000-0000-0000-000000000000
warehouseIdstringOptional

Id of a warehouse to which inventory is assigned

Example: 00000000-0000-0000-0000-000000000000
officeIdstringOptional

Id of an office to which inventory is assigned

Example: 00000000-0000-0000-0000-000000000000
categoriesstring[]Optional

The code of the categories

Example: COMPUTER
skuIdsstring · uuid[]Optional

Ids of SKU

Example: 203a5df2-423a-43a9-bb19-1ccaf3434b91,35e309cf-9eaf-4656-aafc-65c92716547d
searchStringstringOptional

Keyword to search for

Example: Air
updatedAtFromstring · date-timeOptional

UTC Date-time to filter inventory updated after (ISO-8601 without timezone)

Example: 2007-12-03T10:15:30
updatedAtTostring · date-timeOptional

UTC Date-time to filter inventory updated before (ISO-8601 without timezone)

Example: 2007-12-03T10:15:30
Responses
200

OK

application/json

A piece of inventory

idstring · uuidRequiredExample: ecb7e933-de1e-9830-b180-b25d1d0d296e
skuIdstring · uuidRequiredExample: 203a5df2-423a-43a9-bb19-1ccaf3434b91
serialNumberstringOptionalExample: 25f2e6ea9a
deployStatusstring · enumRequiredExample: ARCHIVEDPossible values:
deployReasonstring · enumOptionalExample: LOST_BY_WORKERPossible values:
conditionstring · enumRequiredExample: NEWPossible values:
categoryCodestringRequiredExample: TSHIRT
categoryNameOfSkustringRequiredExample: T-shirt
skuTitlestringRequiredExample: T-shirt White - 5XL
vendorCodestringRequiredExample: AWESOME_MERCHANDISE
vendorSkustringRequiredExample: TSHRT_5XL_WHITE
createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
renewalDatestring · dateOptionalExample: 2026-02-09
renewalDateUpdatedBystring · enumOptionalExample: oPossible values:
billingStartDatestring · dateOptionalExample: 2026-02-09
billingEndDatestring · dateOptionalExample: 2028-02-09
procurementMethodstringOptionalExample: Inventory Order - #c853d81c-ba0b-4027-a394-d5586b61608c
get/api/inventory
GET /api/inventory HTTP/1.1
Host: apipub.firstbasehq.com
Authorization: YOUR_API_KEY
Accept: */*
[
  {
    "id": "ecb7e933-de1e-9830-b180-b25d1d0d296e",
    "skuId": "203a5df2-423a-43a9-bb19-1ccaf3434b91",
    "serialNumber": "25f2e6ea9a",
    "deployStatus": "ARCHIVED",
    "deployReason": "LOST_BY_WORKER",
    "condition": "NEW",
    "categoryCode": "TSHIRT",
    "categoryNameOfSku": "T-shirt",
    "skuTitle": "T-shirt White - 5XL",
    "vendorCode": "AWESOME_MERCHANDISE",
    "vendorSku": "TSHRT_5XL_WHITE",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "renewalDate": "2026-02-09",
    "renewalDateUpdatedBy": "o",
    "billingStartDate": "2026-02-09",
    "billingEndDate": "2028-02-09",
    "procurementMethod": "Inventory Order - #c853d81c-ba0b-4027-a394-d5586b61608c",
    "returnOrder": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "status": "PENDING",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "returnOrderItemId": "123e4567-e89b-12d3-a456-426614174000",
      "returnOrderItemStatus": "PENDING",
      "retrievalMethod": {
        "type": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "status": "REQUESTED",
        "inboundTrackingCode": "text",
        "inboundTrackingLink": "text",
        "outboundTrackingCode": "text",
        "outboundTrackingLink": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      }
    },
    "assignedTo": {
      "id": "371da231-5878-45b1-80a3-9113f8795c29",
      "type": "PERSON",
      "label": "San Francisco's office",
      "assignedAt": "2026-01-01T00:00:00.000Z"
    },
    "tags": [
      {
        "id": "8e0caa73-cc71-4aa4-88eb-fca494de8e20",
        "label": "Engineering"
      }
    ],
    "pricing": {
      "regionCode": "text",
      "priceOption": "text",
      "price": 1,
      "currencyCode": "text"
    }
  }
]